Validation disabled for letsencrypt V1 API LNMP添加SSL出错

Let’s encrypt报错:

new-authz error: {“type”:”urn:acme:error:unauthorized”,”detail”:”Error creating new authz :: Validations for new domains are disabled in the V1 API (https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430)”,”status”: 403}

解决方式:更新你的acme(/root/.acme.sh/acme.sh –upgrade)

思路:认真看这个报错,其实报错信息是比较明显的。网上大多数都是抄的(网站被举报了,去谷歌申诉)。报错信息说得是disabled,而不是unsafe

参考:https://blog.csdn.net/qq_36798131/article/details/107554435

补充acme github地址:https://github.com/acmesh-official/acme.sh

因为可能国内无法直接更新,所以补充上面的链接地址,可以下载后上传到/usr/local/acme.sh/ 然后重启下lnmp,然后重新为域名添加ssl即可。

强制更新Let’s Encrypt证书命令:

1
"/usr/local/acme.sh"/acme.sh --force --cron --home "/usr/local/acme.sh" > /dev/null

出现 Congratulations, all renewals succeeded. 字样时,表示证书更新完成。(参考:https://www.seoimo.com/lamp-ssl/#ssl-renew-crontab)

发表评论

:?: :razz: :sad: :!: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: :smile: :evil:
贴图 表情 ( ps. 若要贴代码, 请將 "<" 改成 "&lt;" 即可. )

9 + 6 = ?

这篇文章上的评论的RSS feed TrackBack URL